﻿#requires -Version 3 -Modules Azure

# Azure Subscriptionfiles herunterladen
Get-AzurePublishSettingsFile

Import-AzurePublishSettingsFile -PublishSettingsFile C:\Temp

# Get-AzureAccount zeigt die zugehörigen Zertifikate an
Get-Azureaccount
Get-AzureSubscription

# Ein paar Variablen 
$cloudserviceName = 'ArbeitsGruppeWE'
$pwd = 'Passw0rd'
$subscription = 'MSDN-Plattformen MCT'

# Festlegen, welche Subscription verwendet werden soll
Select-AzureSubscription -name $subscription
# Set-AzureSubscription -SubscriptionName $subscription -CurrentStorageAccount mwteststorage1

# Die verfügbaren Rechenzentren anzeigen
Get-Azurelocation

# Einen neuen Speicheraccount anlegen
# !!! Der Name darf nur KLEINBUCHSTABEN und Zahlen enthalten 
New-AzureStorageAccount -StorageAccountName 'vmstorage' -Location 'West Europe' 

# Azure Images anzeigen und ein Image auswählen
Get-AzureVMImage |
    Select-Object -Property label |
    Where-Object -Property os -Like -Value '*Windows*'

$winimages = Get-AzureVMImage | Where-Object -Property os -EQ -Value 'Windows'

$OSImage = $winimages |
    Where-Object -Property label -EQ -Value 'SQL Server 2014 RTM Enterprise on Windows Server 2012 R2' |
    Select-Object -Last 1

# Eine Konfiguration für eine VM anlegen
$vmConfig = New-AzureVMConfig -Name SQLCluster10 -InstanceSize Basic_A1 -ImageName $OSImage.Imagename
$VMProvisionConfig = Add-AzureProvisioningConfig -Windows -VM $vmConfig -AdminUsername Holger -Password $pwd -TimeZone 'W. Europe Standard Time'

# Eine Datendisk hinzufügen
Add-AzureDataDisk -CreateNew -DiskSizeInGB 50 -DiskLabel Data -LUN 0 -VM $vmConfig
# -import -Importfrom definieren eine bestehende Datendisk
# -HostCaching ReadWrite # definiert einen HOstcache auf der physikalischen Disk

# die VM anlegen
$vm = New-AzureVM -VMs $vmConfig -WaitForBoot -VNetName AzureNW -ServiceName $cloudserviceName

# Noch eine Datendisk anlegen
Get-AzureVM -Name $vm -ServiceName $cloudserviceName | 
    Add-AzureDataDisk -CreateNew -DiskSizeInGB 50 -DiskLabel 'translogs1' -LUN 1 |
    Add-AzureEndpoint -Protocol tcp -LocalPort 1433 -PublicPort 45086 -Name 'sql' |
    Update-AzureVM

# Und ein RDP-File erzeugen
$vm | Get-AzureRemoteDesktopFile -Name $vm -Launch

# Und jetzt bauen wir ein bißchen Hardware ein
Stop-AzureVM -VM $vm
$vm | Set-AzureVMSize -InstanceSize Basic_A3 | Update-AzureVM

# einen Endpunkt hinzufügen
# $vm1 | Add-AzureEndpoint -Name 'web' -LocalPort 80 -PublicPort 80 -Protocol tcp

# get-azureservcice # listet die Cloud-Dienste auf
# Test-AzureName -Service 'ArbeitsGruppeWE'
